# Progression

Progression is a simple ruby progress bar.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'progression'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install progression

## Usage

It can be used like so:

```ruby
p = Progression.new(cats.size)

puts 'Updating cats'

cats.each do |c|
  c.cute = true
  p.tick
end

```

Currently it looks like this:

```
Updating cats
================
```

This is in progress:

```
Updating cats
[==============                               ] 35% (00:25 remaining)
```


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rspec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

Bug reports and pull requests are welcome on GitHub at https://github.com/bettinson/progression. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Progression project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/bettinson/progression/blob/master/CODE_OF_CONDUCT.md).
